Bug 824971 - xguest not allowed to log into XFCE
xguest not allowed to log into XFCE
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xguest (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-24 13:56 EDT by Russell Golden
Modified: 2013-02-13 09:16 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 09:16:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
AVC denials generated by xguest login attempt (133.54 KB, text/plain)
2012-05-24 13:56 EDT, Russell Golden
no flags Details
AVC denials after running restorecon (34.07 KB, text/plain)
2012-05-29 13:06 EDT, Russell Golden
no flags Details

  None (edit)
Description Russell Golden 2012-05-24 13:56:23 EDT
Created attachment 586680 [details]
AVC denials generated by xguest login attempt

Description of problem:

When I click "guest" in GDM to log into the system as xguest, I get kicked back to the login screen. I am trying to log into XFCE as xguest. XFCE is the only DE I use.

Version-Release number of selected component (if applicable):
1.0.10-2

Steps to Reproduce:
1. set preferred desktop to XFCE (or have XFCE as the only installed DE)
2. click "guest" in GDM to log in as xguest
  
Actual results:
I get kicked back to the login screen

Expected results:
A usable XFCE desktop, heavily sandboxed
Comment 1 Daniel Walsh 2012-05-24 19:19:31 EDT
Looks like your /var/lib directory is mislabled


restorecon -R -v /var/lib

Should clean it up.
Comment 2 Russell Golden 2012-05-25 13:59:53 EDT
Performed "restorecon -R -vv /var/lib" as instructed. Issue was not cleaned up.

There was something mentioned in #fedora-selinux the other day that might be the cause.

grift directed me to run:
# semanage fcontext -l | grep xguest

This was the output:
/var/lib/xguest/home = /home

Don't know if that's relevant or not.
Comment 3 Miroslav Grepl 2012-05-28 04:54:08 EDT
So you are still not able to log in?
Comment 4 Russell Golden 2012-05-28 11:22:18 EDT
That is correct. I still cannot log in as xguest.
Comment 5 Daniel Walsh 2012-05-29 11:34:38 EDT
What AVC's are you seeing after fixing the labels in /var/lib
Comment 6 Russell Golden 2012-05-29 13:06:07 EDT
Created attachment 587461 [details]
AVC denials after running restorecon

The AVC denials generated by attempting to log into XFCE as xguest. This is after running the restorecon command as directed (which generated no output) and forcing the audit logs to rotate.
Comment 7 Fedora End Of Life 2013-01-16 08:27:23 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Fedora End Of Life 2013-02-13 09:16:12 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.